Subject: RE: [midcom] draft-brim-midcom-inandout-00.txt

From: "Christian Huitema" <[email-masked]>
Date: Fri, 14 Sep 2001 09:40:54 -0700

> I meant "forward the packet".  I am talking about a middlebox with
> exactly
> 2 interfaces that has no idea what IP addresses are "inside" or what
> addresses are "outside".  It has no knowledge of topology or routing
> information except that one of the interfaces connects to "inside" and
> the
> other to "outside".  Packets received by it are processed for
> middlebox
> services then (assuming not dropped by the middlebox) transmitted on
> whichever of its 2 interfaces the packet was not received on.  I
> believe
> there are middleboxes of this sort.  I  believe such a middlebox would
> be
> incapable of implementing your draft since it could not determine by
> examining target or informant addresses whether they resided inside or
> outside.

I don't know of such things, and I don't believe we have to support them
anyhow. Let's keep some focus: our primary concern is NAT and firewalls,
and then boxes that look them. We do not have a requirement to enable
any wacko box that someone may invent.

-- Christian Huitema

_______________________________________________
midcom mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/midcom